PaWDMKSDirectionSpecificStreamInfo Struct Reference

## Data Fields

PaDeviceIndex | device
unsigned | channels
unsigned | framesPerHostBuffer
int | endpointPinId
int | muxNodeId
PaWDMKSSubType | streamingSubType

## Detailed Description

Definition at line 118 of file pa_win_wdmks.h.

## Field Documentation

## channels

unsigned PaWDMKSDirectionSpecificStreamInfo::channels

No of channels the device is opened with

Definition at line 121 of file pa_win_wdmks.h.

## endpointPinId

int PaWDMKSDirectionSpecificStreamInfo::endpointPinId

Endpoint pin ID (on topology filter if topologyName is not empty)

Definition at line 123 of file pa_win_wdmks.h.

## framesPerHostBuffer

unsigned PaWDMKSDirectionSpecificStreamInfo::framesPerHostBuffer

No of frames of the device buffer

Definition at line 122 of file pa_win_wdmks.h.

## muxNodeId

int PaWDMKSDirectionSpecificStreamInfo::muxNodeId

Only valid for input

Definition at line 124 of file pa_win_wdmks.h.

## streamingSubType

PaWDMKSSubType PaWDMKSDirectionSpecificStreamInfo::streamingSubType

Not known until device is opened for streaming

Definition at line 125 of file pa_win_wdmks.h.

The documentation for this struct was generated from the following file:

- pa_win_wdmks.h